> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socket.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported chains



## OpenAPI

````yaml /openapi.json get /v3/swap/supported-chains
openapi: 3.0.0
info:
  title: Socket V3 Swap API Explorer
  description: V3 swap quote, status, and metadata endpoints
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.socket.tech
    description: Production
security: []
tags: []
paths:
  /v3/swap/supported-chains:
    get:
      tags:
        - Supported Chains & Token List
      summary: Get supported chains
      operationId: V3SwapMetadataController_supportedChains
      parameters: []
      responses:
        '200':
          description: Supported chains and providers for v3 swap.
          content:
            application/json:
              examples:
                supportedChains:
                  summary: Supported chains
                  value:
                    success: true
                    statusCode: 200
                    result:
                      - chainId: 42161
                        name: Arbitrum
                        icon: https://media.socket.tech/networks/arbitrum.svg
                        currency:
                          address: '0xeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee'
                          name: Arbitrum Ether
                          symbol: ETH
                          decimals: 18
                          icon: https://media.socket.tech/networks/ethereum.svg
                          minNativeCurrencyForGas: '900000000000000'
                        explorers:
                          - https://arbiscan.io
                        sendingEnabled: true
                        receivingEnabled: true
                        isAutoEnabled: true
                        isManualEnabled: true
                        isDepositEnabled: true
                        dexes:
                          - zeroxv2
                          - openocean
                          - kyberswap
                        bridges:
                          - across
                          - relay
                          - cctp-v2-slow
                    message: null

````